*************************************************************
* xform - label file to program file converter Version 3.0  *
* xform is Copyright (c) 1990 by Michael F. Lavett          *
*************************************************************

*
* xform - report label to program file converter
*

* LABEL definition variables
* remark  = "3 1/2" x 15/16" x 1" && commented out due to embedded characters
height    =  5
width     = 35
margin    =  0
lines     =  1
spaces    =  0
across    =  1
totlabels =  0     && total labels printed
testpat   = "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"

* PROGRAM setup
dbfname     = "label"   && database name
ndxname     = "label"   && index name
use &dbfname index &ndxname
go top
clear
qkey = "N"
@ 12,14 say "** Prepare Printer! **      Press 'Y' to Continue.. " get qkey picture "!"
read
if upper(qkey) <> 'Y'
   return
endif
do while .t.
   clear
   @ 12,14 say "** Print TEST Pattern (Y/N)? " get qkey picture "!"
   read
   if upper(qkey) <> 'Y'
       exit
   endif
   set print on
   set console off
       ? testpat
       ? testpat
       ? testpat
       ? testpat
       ? testpat
   set print off
   set console on
enddo
clear
@ 12,14 say "** Press Any Key to Stop..."

* TESTING AND DEBUGGING FLAGS
debug = .t.
if debug
    set print to lpt.out
endif
set print on
set console off
do while .not. eof()
   qkey = inkey()
   if qkey > 0
       go bott
       loop
   endif
   ? FIRSTNAME, LASTNAME
   ? STREET
   ? TRIM(CITY)+", "
   ? STATE, ZIP
   ? 
   totlabels = totlabels + 1
   skip
enddo
* End of MAIN Record Retrieval Loop
? "Total Labels:" + str(totlabels,5)
set print off
set console on
if debug
    set print to
endif

* END OF PROGRAM!
